package com.loh.dao;

import com.loh.model.HouseInfo;
import com.loh.model.HouseInfoExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface HouseInfoMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table house_info
     *
     * @mbg.generated
     */
    long countByExample(HouseInfoExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table house_info
     *
     * @mbg.generated
     */
    int deleteByExample(HouseInfoExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table house_info
     *
     * @mbg.generated
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table house_info
     *
     * @mbg.generated
     */
    int insert(HouseInfo record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table house_info
     *
     * @mbg.generated
     */
    int insertSelective(HouseInfo record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table house_info
     *
     * @mbg.generated
     */
    List<HouseInfo> selectByExample(HouseInfoExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table house_info
     *
     * @mbg.generated
     */
    HouseInfo selectByPrimaryKey(Integer id);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table house_info
     *
     * @mbg.generated
     */
    int updateByExampleSelective(@Param("record") HouseInfo record, @Param("example") HouseInfoExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table house_info
     *
     * @mbg.generated
     */
    int updateByExample(@Param("record") HouseInfo record, @Param("example") HouseInfoExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table house_info
     *
     * @mbg.generated
     */
    int updateByPrimaryKeySelective(HouseInfo record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table house_info
     *
     * @mbg.generated
     */
    int updateByPrimaryKey(HouseInfo record);
}